function rawFea = extractRawFea(rgb,ICAModel)
img = double(rgb);
oriH = size(rgb,1);oriW = size(rgb,2);
newH = ceil(oriH / 8);newW = ceil(oriW / 8);
numInst = newH * newW;
numFea = size(ICAModel.transW,1);

oneData = [im2col(img(:,:,1),[8 8],'distinct');im2col(img(:,:,2),[8 8],'distinct');im2col(img(:,:,3),[8 8],'distinct')]';
oneData = oneData - repmat(ICAModel.meanV,[numInst 1]);
oneData = oneData ./ (eps + repmat(ICAModel.stdV,[numInst 1]));
res = ICAModel.transW*oneData';
for f = 1:numFea
    rawFea{f} = normalizeSalMap(reshape(res(f,:),[newH newW]));
end